DragonTravel

Avatar

http://dragontravel.phiwa.eu/images/DragonTravel-Banner.png

http://dragontravel.phiwa.eu/images/wiki.jpg | http://dragontravel.phiwa.eu/images/changelog.jpg | http://dragontravel.phiwa.eu/images/submit.jpg
Permissions | Frequently Asked Questions (FAQ)




DragonTravel gives players the opportunity to ride dragons in Minecraft.
It offers server-admins the possibility to add a new outstanding way of travel to their servers.

More videos on DragonTravel (including tutorials)



Features:

  • Allows admins to set destinations for the dragons.
  • Allows players with the specific permission to summon and mount a dragon and...
    ...fly flights which consists out of waypoints(as many as you like)
    ...fly to destinations which have been set by an admin before.
    ...fly to coordinates chosen via command.
    ...fly to players choosen via command(different permission-nodes for other types of travel).
    ...fly to a home-position which has been set by this player earlier.
  • Spout-support
    -> Nice GUI for creating stations/destination or travelling via Spout/SpoutCraft.
    -> Music which gets played when travelling.
  • Allows admins to set stations and limit the mounting of dragons to these locations (or a specified radius around it).
  • Possibility to require a special item for players to use the plugin (e.g. a dragon-egg)
  • Making signs which automatically mount a player and bringthem to the written destination on the sign.
  • Permissions-Support (SuperPerms only!)
  • Support of all Economy-Plugins supported by Vault (Vault is required for that)!
    Admins can set different prices for all ways of travel!
  • Admins can choose in the config whether dragons of this plugin should destroy blocks or if any dragons should break blocks when touching.
  • All messages are fully customizable! Default messages.yml is English, but we provide other language-files in our wiki.

Due to the fact that things can change rapidly in this project, I stopped maintaining instructions on the plugin and other information like a list of commands/permissions in the forums, on this page etc. and decided to create a central location where you can always find all information up-to-date: The DragonTravel-Wiki.

Please use this wiki and report all mistakes you find in there and avoid posting questions on topics like commands/permissions/sign-creation etc., which are answered in the wiki, in the comments.



https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif http://www.gosyntactix.com/wp-content/uploads/2011/10/ForkOnGithub.png




The questions and requests posted in the comments are repeating and there are some questions we answer at least once per week, so we decided to write down some of those Frequently Asked Questions.
Please read the questions below and see if you can find your question there, this really saves us time we can then spend on the development of DragonTravel.

  • Is it possible to change the speed the dragon's wings are flapping?
  • Is it possible to remove the dragon's health-bar?
  • Is it possible to control the dragon manually?
  • Is it possible to move the rider closer to the dragon to avoid him flying above it?
  • DragonTravel does not start, what can be the problem?

You can find the answers to those questions in the FAQ!

Please read the paragraph above before posting any questions!

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of jbarrett98121 jbarrett98121 Mar 08, 2012 at 00:22 UTC - 0 likes

    @Silarn: Go

    and where is there a link to the rb r7 build? because i've replaced the plugin.yml with the file from the link below and it still does not work.

    internal error every time you try and mount or travel with a dragon.

  • Avatar of cvxx7q cvxx7q Mar 07, 2012 at 22:18 UTC - 0 likes

    @Silarn: Go

    there is no RB for bukkit/minecraft 1.2 yet.

    and being dev builds, even tho this had been updated for 1.2, there is no guarantee it wont break or that some gamecrashing bug appears. usually it's fine, just no guarantees

  • Avatar of Silarn Silarn Mar 07, 2012 at 17:43 UTC - 0 likes

    @jbarrett98121: Go

    2.3 should work as-is for the 1.1 RB R7 (you have to get this from the forums).

    2.3 will also work on R6 if you use my modified plugin.yml below.

    2.4 should work on all 1.2.3 dev builds AFAIK.

    @cvxx7q: Go

    No RB for what? There are two working RBs for 1.1 - R6 and R7 (which works with poorly written plugin.ymls).

    And 2.4 works on 1.2.3 dev builds.

    Last edited Mar 07, 2012 by Silarn
  • Avatar of XemsDoom XemsDoom Mar 07, 2012 at 17:17 UTC - 0 likes

    @jbarrett98121: Go

    What update? haha, a version for 1.2.3 is out since the 1 march, thats seven days ;)

    Follow me on Twitter: https://twitter.com/#!/XemsDoom

  • Avatar of cvxx7q cvxx7q Mar 06, 2012 at 23:34 UTC - 0 likes

    @jbarrett98121: Go

    because there's no RB... everything is experimental until further notice

  • Avatar of jbarrett98121 jbarrett98121 Mar 06, 2012 at 23:32 UTC - 0 likes

    update?

    you guys are one of the last ones to update

  • Avatar of Silarn Silarn Mar 03, 2012 at 16:31 UTC - 0 likes

    As I said, others have discovered this has to do with how the plugin.yml is written.

    I changed some elements in the DragonTravel yml around and it now works fine.

    The modified yml is pasted here.

    You want to use this in 2.3 for R6 servers, however it will also work in 2.4 but dragons will not travel properly unless you are using a 1.2.3 dev build.

    Last edited Mar 03, 2012 by Silarn
  • Avatar of XemsDoom XemsDoom Mar 03, 2012 at 11:15 UTC - 0 likes

    @Silarn: Go

    This has nothing to do with the event system at all, even 2.2 uses that "new" system. Bukkit broke several plugins with R6 and I do not know the error respectively how to fix it. The error in the console showing up does not even make any refference to our plugin, so I can't even identify the error causing code. And I think it is time that Phiwa also can contribute something on this project by fixing it,

  • Avatar of Silarn Silarn Mar 03, 2012 at 00:37 UTC - 0 likes

    @XemsDoom: Go

    Other than the fact that it's the current RB and the RB for 1.2.3 is probably not going to happen soon? Only one other plugin out of several dozen does not work on R6. (Of those updated to the new event system.)

  • Avatar of XemsDoom XemsDoom Mar 03, 2012 at 00:01 UTC - 0 likes

    @Silarn: Go

    R6 is everything else than a recommanded build, it breaks too much. Version 2.4 works great on Minecraft 1.2 builds. Do not use 2.3 on R6 Builds, there aren't good reasons to use it anyways.

Facts

Date created
Nov 29, 2011
Categories
Last update
Jul 15, 2014
Development stage
Release
Language
  • deDE
  • enUS
  • esES
  • frFR
License
GNU General Public License version 3 (GPLv3)
Curse link
DragonTravel
Downloads
216,569
Recent files

Authors

Relationships

Optional dependency
AntiCheat
Factions
Massive Core
NoCheatPlus
Vault